import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class ScheduleHeader extends StatelessWidget {
  const ScheduleHeader({super.key});

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: [
        const SizedBox(),
        Text(
          'Scheduling',
          style: TextStyle(
            fontWeight: FontWeight.bold,
            fontSize: 22,
            color: ColorsManager.dialogBlueTitle,
          ),
        ),
        Container(
          width: 25,
          decoration: BoxDecoration(
            color: Colors.transparent,
            shape: BoxShape.circle,
            border: Border.all(
              color: Colors.grey,
              width: 1.0,
            ),
          ),
          child: IconButton(
            padding: const EdgeInsets.all(1),
            icon: const Icon(
              Icons.close,
              color: Colors.grey,
              size: 18,
            ),
            onPressed: () {
              Navigator.of(context).pop();
            },
          ),
        ),
      ],
    );
  }
}
